Skip to main content
GET
Deprecated: This endpoint is deprecated. Please use the paginated version /v3/lab_test instead.

Authorizations

x-vital-api-key
string
header
required

Vital Team API Key

Query Parameters

generation_method
enum<string>
default:manual

Filter on whether auto-generated lab tests created by Vital, manually created lab tests, or all lab tests should be returned.

Available options:
auto,
manual,
all
lab_slug
string | null

Filter by the slug of the lab for these lab tests.

collection_method
enum<string> | null

Filter by the collection method for these lab tests. The method used to perform a lab test. ℹ️ This enum is non-exhaustive.

Available options:
testkit,
walk_in_test,
at_home_phlebotomy,
on_site_collection
status
enum<string> | null

Filter by the status of these lab tests. ℹ️ This enum is non-exhaustive.

Available options:
active,
pending_approval,
inactive
marker_ids
integer[] | null

Filter to only include lab tests containing these marker IDs.

provider_ids
string[] | null

Filter to only include lab tests containing these provider IDs.

name
string | null

Filter by the name of the lab test (a case-insensitive substring search).

order_key
enum<string> | null
Available options:
price,
created_at,
updated_at
order_direction
enum<string>
default:asc
Available options:
asc,
desc

Response

Successful Response

id
string<uuid>
required
slug
string
required
name
string
required
sample_type
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
dried_blood_spot,
arm_collector,
serum,
saliva,
urine,
stool
method
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
testkit,
walk_in_test,
at_home_phlebotomy,
on_site_collection
price
number
required
is_active
boolean
required

Deprecated. Use status instead.

status
enum<string>
required

ℹ️ This enum is non-exhaustive.

Available options:
active,
pending_approval,
inactive
lab
ClientFacingLab · object | null
required
Example:
markers
ClientFacingMarker · object[] | null
required
fasting
boolean
default:false

Defines whether a lab test requires fasting.

is_delegated
boolean
default:false
deprecated

Deprecated and always false. Delegation is now at the lab account level. Used to denote whether a lab test requires using non-Vital physician networks.

auto_generated
boolean
default:false

Whether the lab test was auto-generated by Vital

has_collection_instructions
boolean | null

Whether or not the lab test has collection instructions.

common_tat_days
integer | null

The common turnaround time in days for the lab test. This is the expected time for the lab to process the test and return results.

worst_case_tat_days
integer | null

The worst-case turnaround time in days for the lab test. This is the maximum time the lab may take to process the test and return results.